# Pto gen

From PanoTools.org Wiki

pto_gen assembles a Hugin .pto project file that is suitable as input for further tools such as the cpfind control-point generator, or for opening with the Hugin panorama GUI itself. Functionality is similar to match-n-shift[*].

The general use is

       pto_gen *.jpg

This creates a project file from all jpg images, in the same folder as the first photo. The project file is named first_file-last_file.pto using the same convention as the Hugin GUI.

pto_gen was added to Hugin on December 7th 2011 which was after the 2011.04 release, hence it is only available in the development trunk. To get pto_gen try the nightly builds or compile from source[*].

## Options

- -o | --output output.pto Output a pto file with the given filename (instead of the default).

- -p | --projection number Sets the projection type for all images (0 - rectilinear, 2 - equirectangular, 3 - full-frame fisheye, ...).

- -f | --fov number Sets the horizontal field of view for all images. Useful if your lens does not store the focal length and/or crop factor correctly in the EXIF data.

- -s | --stacklength number Sets the number of images in each stack (default: 1, meaning no stacks).

- -l | --linkstacks When given links the image positions in stacks.

- --distortion Tries to load distortion data for the images from the lensfun database.

- --vignetting Tries to load vignetting data for the images from the lensfun database.

- -h | --help Display help.

## Related links

Panorama scripting in a nutshell - pto_gen is useful in stitching panoramas from the command-line

Retrieved from "http://wiki.panotools.org/index.php?title=Pto_gen&oldid=14052[*]"